
<div class="centered-content">
  <div class="task-manager-container">

      <div class="sidebar has-background-white">
        <div class="navBlock">
        <div class="sortBlock">
          <p>Sort:</p>
          <div class="dropdown-sort">
            <div class="dropdown-trigger-sort">
              <button class="button" aria-haspopup="true">
                <span class="icon">
                  <i class="fa-solid fa-sort" aria-hidden="true" style="color: #000;"></i>
                </span>
              </button>
            </div>
            <div class="dropdown-menu-sort" id="dropdown-menu4" role="menu">
              <div class="dropdown-content-sort">
                    <a (click)="sortListByName()" class="dropdown-item-sort">
                      By name
                    </a>
                    <a (click)="sortListByDate()" class="dropdown-item-sort">
                      By date
                    </a>
                    <a (click)="sortListByNumberOfTasks()" class="dropdown-item-sort">
                      By number of tasks
                    </a>
              </div>
            </div>
          </div>
          <p style="margin-left: 5px;">Filter:</p>
          <input #filterInput type="text" class="filterInput" (input)="filterList(filterInput.value)" style="margin-left: 5px;">
        </div>
          <div class="loginNameBlock">
            <h2>Welcome, {{userName}}</h2>
            <button class="button" (click)="onLogout()" style="font-size: 1rem; margin-left: 10px;">
              <div class="icon">
                <i style="color: #000;" class="fa-solid fa-right-from-bracket"></i>
              </div>
            </button>
          </div>
        </div>
          <h1 class="title">
              Lists
          </h1>

          <div class="list-menu">
              <a class="list-menu-item" *ngFor="let list of lists"  routerLinkActive="is-active">
                <div class="dropdown">
                  <div class="dropdown-trigger">
                    <button class="button" aria-haspopup="true" style="font-size: 0.75rem;">
                      <span class="icon">
                        <i style="color: #000;" class="fas fa-cog" aria-hidden="true"></i>
                      </span>
                    </button>
                  </div>
                  <div class="dropdown-menu" id="dropdown-menu4" role="menu">
                    <div class="dropdown-content">
                          <a [routerLink]="['/edit-list', list._id]" class="dropdown-item">
                            Edit
                          </a>
                          <a (click)="onDeleteListClick(list._id)" class="dropdown-item danger">
                            Delete
                          </a>
                    </div>
                  </div>
                </div>
                  <h3>{{ list.title }}</h3>
                  <p>{{ list.description === '' ? 'Description: --' : list.description }}</p>
                  <p>Tasks: {{list.numberOfTasks}}</p>
                  <small>Date: {{ list.createDate.substring(0,10) }}</small>
                  <button class="taskPath" [routerLink]="['/lists', list._id]">Go to tasks</button>
              </a>
          </div>

          <h3 class="empty-state-text" *ngIf="lists.length === 0">There are no lists here! Click the abb button to create a new list</h3>


          <button class="button is-primary" routerLink="/new-list">+ New List</button>
      </div>
  </div>
</div>